plugins {
    kotlin("jvm")
    `maven-publish`
}

val guavaVersion: String by project
val guavaDepVersion: String by project
val projectGroup: String by project
val specifyKotlinAsDependency: String by project

group = projectGroup
version = guavaVersion

repositories {
    mavenCentral()
}

dependencies {
    testImplementation("org.jetbrains.kotlin:kotlin-test")

    implementation("com.google.guava:guava:$guavaDepVersion-jre")
}

tasks.test {
    useJUnitPlatform()
}

kotlin {
    jvmToolchain(17)
}

publishing {
    publications {
        create<MavenPublication>("mavenJava") {
            from(components["java"])

            pom {
                dependencies {
                    if (specifyKotlinAsDependency.toBoolean()) implementation(kotlin("stdlib"))
                    implementation("com.google.guava:guava:[28,)")
                }
            }
        }
    }
}
