
plugins {
    kotlin("jvm")
    `maven-publish`
}

val networkingVersion: String by project
val projectGroup: String by project

group = projectGroup
version = networkingVersion

repositories {
    mavenCentral()
}

dependencies {
    testImplementation("org.jetbrains.kotlin:kotlin-test")
    implementation(project(":core"))
    implementation(project(":io"))
    implementation(project(":collect"))
}

tasks.test {
    useJUnitPlatform()
}

kotlin {
    jvmToolchain(17)
}

publishing {
    publications {
        create<MavenPublication>("mavenJava") {
            from(components["java"])

            pom {
                dependencies {
                    implementation(kotlin("stdlib"))
                    implementation(project(":core"))
                    implementation(project(":io"))
                    implementation(project(":collect"))
                }
            }
        }
    }
}
